AOWP_Advice (AOWP)

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr

aowp.aspect.advice.AOWP_Advice
/aspect/advice/Advice.class.php at line 7

# Class AOWP_Advice

    AOWP_Advice

public abstract class AOWP_Advice

Advice.class

Field Summary
private mixed | $_adviceBodyFunctionName
private mixed | $_adviceBodyInstance
private mixed | $_aspect
private mixed | $_classNameOfAspect
private mixed | $_index
private mixed | $_pointcut
private mixed | $_type

Method Summary
void | getAdviceBodyFunctionName()
void | getAspect()
void | getClassNameOfAspect()
void | getIndex()
void | getPointcut()
void | getWeavedAST(mixed replaceAST)
void | isHavePointcut(mixed pointcut)
void | isJoinPointShadow(mixed joinPoint)
void | runtimeMatch(mixed joinPoint)
void | setAdviceBody(String functionName, mixed instance, datatype paramname)
void | setAspect(mixed aspect)
void | setIndex(mixed index)
void | setPointcut(mixed pointcut)
void | weave(mixed joinPoint)

## Field Detail

/aspect/advice/Advice.class.php at line 12

### _adviceBodyFunctionName

`private mixed $_adviceBodyFunctionName`

/aspect/advice/Advice.class.php at line 13

### _adviceBodyInstance

`private mixed $_adviceBodyInstance`

/aspect/advice/Advice.class.php at line 15

### _aspect

`private mixed $_aspect`

/aspect/advice/Advice.class.php at line 14

### _classNameOfAspect

`private mixed $_classNameOfAspect`

/aspect/advice/Advice.class.php at line 11

### _index

`private mixed $_index`

/aspect/advice/Advice.class.php at line 9

### _pointcut

`private mixed $_pointcut`

/aspect/advice/Advice.class.php at line 10

### _type

`private mixed $_type`

## Method Detail

/aspect/advice/Advice.class.php at line 59

### getAdviceBodyFunctionName

`public void getAdviceBodyFunctionName()`

/aspect/advice/Advice.class.php at line 34

### getAspect

`public void getAspect()`

/aspect/advice/Advice.class.php at line 38

### getClassNameOfAspect

`public void getClassNameOfAspect()`

/aspect/advice/Advice.class.php at line 46

### getIndex

`public void getIndex()`

/aspect/advice/Advice.class.php at line 22

### getPointcut

`public void getPointcut()`

/aspect/advice/Advice.class.php at line 79

### getWeavedAST

`public void getWeavedAST(mixed replaceAST)`

/aspect/advice/Advice.class.php at line 26

### isHavePointcut

`public void isHavePointcut(mixed pointcut)`

/aspect/advice/Advice.class.php at line 63

### isJoinPointShadow

`public void isJoinPointShadow(mixed joinPoint)`

/aspect/advice/Advice.class.php at line 69

### runtimeMatch

`public void runtimeMatch(mixed joinPoint)`

/aspect/advice/Advice.class.php at line 54

### setAdviceBody

`public void setAdviceBody(String functionName, mixed instance, datatype paramname)`

Parameters:
  paramname - description

/aspect/advice/Advice.class.php at line 30

### setAspect

`public void setAspect(mixed aspect)`

/aspect/advice/Advice.class.php at line 42

### setIndex

`public void setIndex(mixed index)`

/aspect/advice/Advice.class.php at line 17

### setPointcut

`public void setPointcut(mixed pointcut)`

/aspect/advice/Advice.class.php at line 75

### weave

`public void weave(mixed joinPoint)`

# AOWP

- Overview
- Package
- Class
- Tree
- Deprecated
- Index

Frames No frames
Summary: Field | Method | Constr Detail: Field | Method | Constr